Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 225893 - Merge Review: hwdata
Summary: Merge Review: hwdata
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks: F9MergeReviewTarget
TreeView+ depends on / blocked
 
Reported: 2007-01-31 19:04 UTC by Nobody's working on this, feel free to take it
Modified: 2009-09-21 20:35 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-12-25 07:14:29 UTC
panemade: fedora-review+


Attachments (Terms of Use)

Description Nobody's working on this, feel free to take it 2007-01-31 19:04:18 UTC
Fedora Merge Review: hwdata

http://cvs.fedora.redhat.com/viewcvs/devel/hwdata/
Initial Owner: karsten@redhat.com

Comment 1 Karsten Hopp 2007-02-21 10:04:48 UTC
hwdata-0.196-1 has a fixed buildroot

Comment 2 Parag AN(पराग) 2007-02-26 09:53:32 UTC
Missing items from SPEC file:-
1) Add disttag (Not necessary but its good to have it in SPEC)
2) You need to replace following line under %files section
%config /usr/share/hwdata/* 
with
/usr/share/hwdata/*

Or you can move those files to /etc and add following line
%config(noreplace) /usr/share/hwdata/*

Above is necessary to make rpmlint output silent. However its ok to have
following warning reported by rpmlint
W: hwdata no-url-tag 


Comment 3 Karsten Hopp 2007-02-26 12:22:58 UTC
I've added the disttag, but I disagree with 2)
The packaging guidelines don't mandate that every config file needs to be in /etc
The files in /usr/share/hwdata/ are config files and should be labeled as such.

They can't be moved to /etc without breaking lots of other packages which need
to read from those files. I'd like to avoid using a symlink as 
a) packages using the /usr/share/hwdata will break when /usr isn't mounted and
   they check only for files, not for directories
b) if I need to revert that later it'll be almost impossible with rpm as rpm 
   can't replace symlinks with directories.

Comment 4 Parag AN(पराग) 2007-02-26 12:36:15 UTC
(In reply to comment #3)
> I've added the disttag, but I disagree with 2)
> The packaging guidelines don't mandate that every config file needs to be in /etc
> The files in /usr/share/hwdata/ are config files and should be labeled as such.
> 
> They can't be moved to /etc without breaking lots of other packages which need
> to read from those files. I'd like to avoid using a symlink as 
> a) packages using the /usr/share/hwdata will break when /usr isn't mounted and
>    they check only for files, not for directories
> b) if I need to revert that later it'll be almost impossible with rpm as rpm 
>    can't replace symlinks with directories.

Ok. That will be enough explanation for me :)
We can then let rpmlint output as not silent.
Will do Full review tomorrow.

Comment 5 Patrice Dumas 2007-02-26 12:57:06 UTC
I strongly disagree that it is acceptable to have config files in 
/usr. In fact /usr should be mountable read only. And it is in 
the guidelines, since we are bound to follow the FHS:

http://fedoraproject.org/wiki/Packaging/Guidelines#head-e1c5548cbbe551c7a43d375c524ab2ea0188557e

Now it may be so hard to put things in /etc that it isn't doable, 
but in my opinion it is mandatory.

Comment 6 Parag AN(पराग) 2007-02-27 04:15:46 UTC
karsten,
    I think Patrice is right.

Comment 7 Parag AN(पराग) 2007-03-14 05:44:22 UTC
In case you have %config and %config(noreplace) in your SPEC then You may like
to update the SPEC by removing that.
Check http://fedoraproject.org/wiki/Packaging/Minutes20070313
and http://fedoraproject.org/wiki/PackagingDrafts/UsrConfigs

Comment 8 Karsten Hopp 2007-03-14 13:03:17 UTC
I still don't agree, but the new packaging guidelines are clear about this.
fixed in hwdata-0.199-1.fc7

Comment 9 Parag AN(पराग) 2007-03-15 05:38:51 UTC
Can you use macros in SPEC instead hard coded directory names?
Packaging Guidelines said->
Use macros instead of hard-coded directory names (see Extras/RPMMacros). 

Comment 10 Parag AN(पराग) 2007-03-30 13:25:38 UTC
any updates?

Comment 11 Parag AN(पराग) 2007-04-10 10:19:20 UTC
No response from maintainer

Comment 12 Karsten Hopp 2007-04-10 11:29:55 UTC
I've built hwdata-0.200-1 with updated pci.ids and use macros now

Comment 13 Parag AN(पराग) 2007-09-20 04:09:53 UTC
hmm. Still pending for review since 5 months.
let me again take it for review.

missing BR gawk. mock build gave me
+ make install DESTDIR=/var/tmp/hwdata-0.207-1.fc8-root-mockbuild
make: awk: Command not found
make: awk: Command not found
make: awk: Command not found


Comment 14 Parag AN(पराग) 2007-09-20 04:12:58 UTC
also got rpmlint messages on SRPM as
hwdata.src: W: no-%build-section
The spec file does not contain a %build section.  Even if some packages
don't directly need it, section markers may be overridden in rpm's
configuration to provide additional "under the hood" functionality, such as
injection of automatic -debuginfo subpackages.  Add the section, even if
empty.

===> Add empty build section

hwdata.src: W: invalid-license GPL/MIT
The value of the License tag was not recognized.  Known values are:
"Adobe", "Affero GPL", "AFL", "ARL", "ASL 1.0", "ASL 1.0+", "ASL 1.1", "ASL
1.1+", "ASL 2.0", "ASL 2.0+", "APSL 2.0", "APSL 2.0+", "Artistic 2.0",
"Artistic clarified", "BitTorrent", "Boost", "BSD", "BSD with advertising",
"CeCILL", "CDDL", "CPL", "Condor", "Copyright only", "Cryptix", "Crystal
Stacker", "EPL", "eCos", "EFL 2.0", "EFL 2.0+", "EU Datagrid", "Giftware",
"Glide", "gnuplot", "GPL+", "GPL+ or Artistic", "GPLv2", "GPLv2 with
exceptions", "GPLv2+", "GPLv3", "GPLv3+", "IBM", "IJG", "ImageMagick",
"iMatix", "Intel ACPI", "Interbase", "ISC", "Jabber", "JasPer", "LGPLv2",
"LGPLv2 with exceptions", "LGPLv2+", "LGPLv3", "LGPLv3+", "libtiff", "LPL",
"LPPL", "mecab-ipadic", "MIT", "MPLv1.0", "MPLv1.0+", "MPLv1.1", "MPLv1.1+",
"NCSA", "NGPL", "NOSL", "Netscape", "Nokia", "OpenLDAP", "OpenPBS", "OSL 1.0",
"OSL 1.0+", "OSL 1.1", "OSL 1.1+", "OSL 2.0", "OSL 2.0+", "OSL 3.0", "OSL
3.0+", "OpenSSL", "Phorum", "PHP", "Public Domain", "Python", "QPL", "RPSL",
"Ruby", "Sleepycat", "SISSL", "SLIB", "SPL", "TCL", "UCD", "Vim", "VNLSL",
"VSL", "W3C", "WTFPL", "wxWindows", "xinetd", "Zend", "ZPLv1.0", "ZPLv1.0+",
"ZPLv2.0", "ZPLv2.0+", "ZPLv2.1", "ZPLv2.1+", "zlib", "CDL", "FBSDDL", "GFDL",
"IEEE", "OFSFDL", "Open Publication", "CC-BY", "CC-BY-SA", "DSL", "Free Art",
"Arphic", "Bitstream Vera", "mplus", "OFL", "Utopia", "XANO",
"Redistributable, no modification permitted", "Freely redistributable without
restriction".

===> Add GPLv2+ as License

Comment 15 Parag AN(पराग) 2007-12-13 06:15:18 UTC
This is last call to you to provide updates here before going on fedora-devel

Comment 16 Karsten Hopp 2007-12-13 11:13:24 UTC
thanks for the reminder, somehow hwdata never manged to get to the top of my
TODO list...

I'll start on it right now:
- license seems to be 'GPLv2+ and LGPLv2+'
- empty %build section added to the git repository



Comment 17 Parag AN(पराग) 2007-12-14 03:13:39 UTC
so you built package already? I need cvs update to approve this review.

Comment 18 Parag AN(पराग) 2007-12-18 14:13:45 UTC
ping?

Comment 19 Karsten Hopp 2007-12-22 18:16:51 UTC
Sorry, I needed to leave early into the holiday season due to family reasons.
I've pushed hwdata-0.208-1.fc9 to koji a minute ago.

Comment 20 Parag AN(पराग) 2007-12-25 07:14:29 UTC
SHOULD:
  As you are the upstream, With assumption that you will modify Makefile from
 for foo in $(FILES) ; do \
                install -m 644 $$foo $(datadir)/$(NAME) ;\
to 
 for foo in $(FILES) ; do \
                install -p -m 644 $$foo $(datadir)/$(NAME) ;\

Above will preserve timestamps.

APPROVED.



Note You need to log in before you can comment on or make changes to this bug.